#ifndef ADDQUESTIONSMENU_H
#define ADDQUESTIONSMENU_H

#include "addanswerwidget.h"
#include "controller.h"
#include "ui_addquestion.h"
#include <QtWidgets>
#include <QtGui>

class Controller;

class AddQuestion : public QWidget, private Ui::AddQuestion
{
  Q_OBJECT
  private:
    Controller *controller;
    QList< QRadioButton* > rbAnswers;
    QList< AddAnswerWidget* > answerWidgets;
  public:
    explicit AddQuestion( Controller* controller, QWidget *parent = 0 );
    bool checkInputs( void );
  public slots:
    void displayRightCategoryWidget( void );
    void displayRightMleAnswer( void );
    void addAllValues( void );
};

#endif // ADDQUESTIONSMENU_H
